// tspl_box.cpp : 实现文件
//

#include "stdafx.h"
#include "MFC_TSPL.h"
#include "tspl_box.h"
#include "afxdialogex.h"
#include "tspl_printer_base.h"


// tspl_box 对话框

IMPLEMENT_DYNAMIC(tspl_box, CDialogEx)

tspl_box::tspl_box(CWnd* pParent /*=NULL*/)
	: CDialogEx(tspl_box::IDD, pParent)
{

}

tspl_box::~tspl_box()
{
}

void tspl_box::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, x_start);
	DDX_Control(pDX, IDC_EDIT3, y_start);
	DDX_Control(pDX, IDC_EDIT4, x_end);
	DDX_Control(pDX, IDC_EDIT5, y_end);
	DDX_Control(pDX, IDC_EDIT6, box_thick);

	x_start.SetWindowText(_T("80"));
	y_start.SetWindowText(_T("80"));
	x_end.SetWindowText(_T("150"));
	y_end.SetWindowText(_T("150"));
	box_thick.SetWindowText(_T("5"));

	
}


BEGIN_MESSAGE_MAP(tspl_box, CDialogEx)
	ON_BN_CLICKED(IDOK, &tspl_box::OnBnClickedOk)
END_MESSAGE_MAP()


// tspl_box 消息处理程序


void tspl_box::OnBnClickedOk()
{
	// TODO:  在此添加控件通知处理程序代码
	CString xstart, ystart, xend, yend, boxthick;
	GetDlgItemText(IDC_EDIT1, xstart);
	if (!(xstart != ""))
		AfxMessageBox(_T("横坐标起始位置不能为空！"));

	GetDlgItemText(IDC_EDIT3, ystart);
	if (!(ystart != ""))
		AfxMessageBox(_T("纵坐标起始位置不能为空！"));

	GetDlgItemText(IDC_EDIT4, xend);
	if (!(xend != ""))
		AfxMessageBox(_T("横坐标结束位置不能为空！"));

	GetDlgItemText(IDC_EDIT5, yend);
	if (!(yend != ""))
		AfxMessageBox(_T("纵坐标结束位置不能为空！"));

	GetDlgItemText(IDC_EDIT6, boxthick);
	if (!(boxthick != ""))
		AfxMessageBox(_T("边框宽度不能为空！"));


	DemClearBuffer(hprinter);
	DemSetup(hprinter, 100, 80, 2, 6, 1, 2, 0);
	DemBox(hprinter, _ttoi(xstart), _ttoi(ystart), _ttoi(xend), _ttoi(yend), _ttoi(boxthick));
	DemPrint(hprinter, 1, 1);

}
